[arch-commits] Commit in gnome-desktop/repos (2 files)

Jan Steffens heftig at archlinux.org
Thu Sep 12 00:48:40 UTC 2019


    Date: Thursday, September 12, 2019 @ 00:48:39
  Author: heftig
Revision: 362280

archrelease: copy trunk to gnome-unstable-x86_64

Added:
  gnome-desktop/repos/gnome-unstable-x86_64/
  gnome-desktop/repos/gnome-unstable-x86_64/PKGBUILD
    (from rev 362279, gnome-desktop/trunk/PKGBUILD)

----------+
 PKGBUILD |   42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

Copied: gnome-desktop/repos/gnome-unstable-x86_64/PKGBUILD (from rev 362279, gnome-desktop/trunk/PKGBUILD)
===================================================================
--- gnome-unstable-x86_64/PKGBUILD	                        (rev 0)
+++ gnome-unstable-x86_64/PKGBUILD	2019-09-12 00:48:39 UTC (rev 362280)
@@ -0,0 +1,42 @@
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Maintainer: Jan de Groot <jan at archlinux.org>
+
+pkgname=gnome-desktop
+pkgver=3.34.0
+pkgrel=1
+epoch=1
+pkgdesc="Library with common API for various GNOME modules"
+url="https://gitlab.gnome.org/GNOME/gnome-desktop"
+arch=(x86_64)
+license=(GPL LGPL)
+depends=(gsettings-desktop-schemas gtk3 libxkbfile xkeyboard-config iso-codes libseccomp bubblewrap)
+makedepends=(gobject-introspection git meson gtk-doc yelp-tools)
+checkdepends=(xorg-server-xvfb)
+_commit=fc5dba506df22b950d28c4841fcf723310977a25  # tags/3.34.0^0
+source=("git+https://gitlab.gnome.org/GNOME/gnome-desktop.git#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+}
+
+build() {
+  arch-meson $pkgname build \
+    -D gnome_distributor="Arch Linux®" \
+    -D gtk_doc=true
+  ninja -C build
+}
+
+check() {
+  # tests broken: missing locale he_IL.UTF-8
+  xvfb-run meson test -C build --print-errorlogs || :
+}
+
+package() {
+  DESTDIR="$pkgdir" meson install -C build
+}


More information about the arch-commits mailing list